declare module '*.svg' {
  import * as React from 'react';

  export const ReactComponent: React.FC<React.SVGProps<SVGSVGElement>>;

  const src: string;
  export default src;
}

declare module '*.module.scss' {
  const classes: { [key: string]: string };
  export default classes;
}
declare module '*.module.less' {
  const classes: { [key: string]: string };
  export default classes;
}

declare module '*.json' {
  const value: any;
  export const version: string;
  export default value;
}

declare interface NodeModule {
  hot: {
    accept(path?: () => void, callback?: () => void): void
  }
}

declare module 'uncontrollable' {
  export const uncontrollable: any;
}

declare module '@multiavatar/multiavatar/esm' {
  const multiavatar: (val: T)=> T;
  export default multiavatar;
}